gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-anastasis] branch master updated: Anastasis/Libeufin setup script


From: gnunet
Subject: [taler-anastasis] branch master updated: Anastasis/Libeufin setup script: first steps.
Date: Fri, 20 Aug 2021 16:38:59 +0200

This is an automated email from the git hooks/post-receive script.

ms pushed a commit to branch master
in repository anastasis.

The following commit(s) were added to refs/heads/master by this push:
     new 711c0db  Anastasis/Libeufin setup script: first steps.
711c0db is described below

commit 711c0dbd837a43c1e1b29df675bb063f35865b95
Author: ms <ms@taler.net>
AuthorDate: Fri Aug 20 16:38:20 2021 +0200

    Anastasis/Libeufin setup script: first steps.
---
 src/cli/test_iban.sh | 57 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

diff --git a/src/cli/test_iban.sh b/src/cli/test_iban.sh
old mode 100644
new mode 100755
index e43dc10..a7695e5
--- a/src/cli/test_iban.sh
+++ b/src/cli/test_iban.sh
@@ -14,6 +14,7 @@ set -eu
 #  installed/available
 #* starts Nexus (in background)
 #* starts sandbox (in background)
+#  ~~~~~~~~~
 #* creates two IBAN accounts
 #* stores IBANs of both accounts in shell variables,
 #  call them IBAN_CREDIT and IBAN_DEBIT.
@@ -34,3 +35,59 @@ set -eu
 #echo -n "Starting sandbox ..."
 ## DO WORK
 #echo " DONE"
+
+if ! libeufin-cli --version &> /dev/null; then
+  echo "libeufin-cli not found"
+  exit 77;
+fi
+
+if ! libeufin-nexus --version &> /dev/null; then
+  echo "libeufin-nexus not found"
+  exit 77;
+fi
+
+if ! libeufin-sandbox --version &> /dev/null; then
+  echo "libeufin-sandbox not found"
+  exit 77;
+fi
+
+if ! psql -d anastasischeck -c "\q" &> /dev/null; then
+  echo "Postgresql database 'anastasischeck' not reachable"
+  exit 77
+fi
+
+CURRENCY="TESTKUDOS"
+export LIBEUFIN_NEXUS_DB_CONNECTION="jdbc:sqlite:$(mktemp -u 
/tmp/nexus-db-XXXXXX.sqlite)"
+export LIBEUFIN_SANDBOX_DB_CONNECTION="jdbc:sqlite:$(mktemp -u 
/tmp/sandbox-db-XXXXXX.sqlite)"
+NEXUS_URL="http://localhost:5001/";
+SANDBOX_URL="http://localhost:5000/";
+
+echo "Starting Nexus .."
+libeufin-nexus serve &> nexus.log &
+nexus_pid=$!
+if ! curl -s --retry 5 --retry-connrefused $NEXUS_URL > /dev/null; then
+  echo "Could not launch Nexus"
+  exit 77
+fi
+echo "Nexus started."
+
+echo "Starting Sandbox .."
+libeufin-sandbox serve &> sandbox.log &
+sandbox_pid=$!
+if ! curl -s --retry 5 --retry-connrefused $SANDBOX_URL > /dev/null; then
+  echo "Could not launch Sandbox"
+  exit 77
+fi
+echo "Sandbox started."
+
+#libeufin-nexus serve &> nexus.log &
+#nexus_pid=$!
+#echo "Starting Sandbox .."
+#libeufin-sandbox serve &> sandbox.log &
+#sandbox_pid=$!
+#
+# FIXME: not always both services get killed.
+trap "echo Terminating services.; kill $nexus_pid; kill $sandbox_pid" EXIT
+#
+#curl -s --retry 5 --retry-connrefused $NEXUS_URL > /dev/null
+#curl -s --retry 5 --retry-connrefused $SANDBOX_URL > /dev/null

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]